.modal {
  position: absolute;
  display: flex;
  z-index: 90;
  padding: 0px;
  margin: 0px auto;
  top: 0px;
  left: 0px;
  width: 100%;
  min-height: 100vh;
  height: 100%;
  justify-content: center;
  align-items: center;
  font-size: 40px;
  transition: all 200ms ease-in;
  font-family: 'Kanit-Light'; }
  .modal.close {
    display: none !important; }
  .modal__content {
    z-index: 2;
    position: fixed;
    background-color: rgba(45, 23, 18, 0.6);
    font-size: 28px;
    color: white;
    padding: 0;
    width: 320px;
    height: 191px;
    font-family: 'Kanit';
    border-radius: 20px;
    border: 3px solid #bf7254;
    left: 50%;
    margin-left: -160px;
    top: 50%;
    margin-top: -95px; }
    .modal__content--full {
      width: calc(96% - 20px - 20px);
      height: calc(96% - 20px - 20px); }
    .modal__content--height {
      height: auto;
      min-height: 300px; }
    .modal__content--loading {
      height: 150px; }
    .modal__content.loading {
      z-index: 999; }
  .modal__incontent {
    width: 100%;
    text-align: center;
    font-family: 'Kanit-Light';
    line-height: 1.5em;
    margin: 20px auto 0px;
    /* height: fit-content; */ }
    .modal__incontent--loading {
      font-size: 30px;
      margin-top: 70px; }
    .modal__incontent--message {
      font-size: 26px;
      margin-top: 20px; }
    .modal__incontent--confirmrandom {
      font-family: "Kanit-Light";
      font-size: 20px;
      margin-top: 30px; }
    .modal__incontent--selectcharacter {
      font-size: 20px;
      margin-top: 20px; }
    .modal__incontent--confirmredeem {
      font-size: 20px;
      margin-top: 20px; }
    .modal__incontent--reward-text {
      font-family: "Kanit-Bold";
      color: #000;
      font-size: 22px;
      margin-top: 10px;
      padding: 0 15px; }
  .modal__loading {
    display: flex;
    justify-content: center;
    align-items: center; }
  .modal__bottom {
    position: absolute;
    bottom: -1em;
    height: 50px;
    width: 100%;
    text-align: center;
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
    overflow: hidden; }
  .modal__backdrop {
    z-index: 1;
    position: fixed;
    background-color: rgba(0, 0, 0, 0.8);
    width: 100%;
    height: 100%;
    top: 0;
    left: 0; }
    .modal__backdrop--white {
      background-color: rgba(255, 255, 255, 0.85); }
    .modal__backdrop--selectcharacter {
      width: 96% !important;
      height: 100% !important;
      left: 2% !important;
      border-radius: 30px; }
    .modal__backdrop--grey {
      background: rgba(163, 163, 163, 0.95); }
  .modal__selectcharacter {
    display: block;
    background-color: white;
    border: none;
    margin: 20px auto;
    width: 250px;
    height: 40px;
    line-height: 40px;
    color: #000;
    font-size: 30px;
    text-align: center;
    border-radius: 10px; }
  .modal__selectitemlist {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    margin-top: 10px; }
  .modal__selectitemslot {
    text-align: center; }
  .modal__button {
    cursor: pointer;
    display: inline-block;
    text-align: center;
    font-size: 20px;
    width: 45%;
    height: 50px;
    line-height: 50px;
    margin: 0 .4em;
    border-radius: 30px;
    color: #000;
    background-color: #cfcfcf;
    font-family: 'Kanit-Light'; }
    .modal__button--full {
      width: 100%; }
  .modal__content-inner {
    background: #626262;
    color: #fff;
    text-align: center;
    padding: 1em;
    border-radius: 20px;
    width: 70%;
    margin: 0 auto; }
  .modal__redeemlist {
    padding: 0;
    margin: 0; }
    .modal__redeemlist li {
      display: block;
      text-align: left;
      line-height: 1em; }
      .modal__redeemlist li:before {
        content: "- ";
        display: inline-block;
        vertical-align: middle;
        margin-right: .5em; }

.formselect {
  margin: 0px auto; }
  .formselect label {
    position: relative;
    color: #fff;
    background-color: #626262;
    width: 240px;
    height: 26px;
    line-height: 26px;
    display: block;
    margin: 10px auto;
    padding: 5px;
    border-radius: 10px;
    overflow: hidden; }
    .formselect label:focus {
      outline: 0 none; }
  .formselect select {
    font-size: 20px;
    border: 0px;
    background: transparent;
    vertical-align: middle;
    width: 110%;
    left: 0;
    position: absolute;
    z-index: 1; }
    .formselect select:focus {
      outline: 0 none; }
  .formselect img {
    position: absolute;
    display: block;
    top: 50%;
    width: 24px;
    height: 21px;
    right: 0px;
    transform: translate(-50%, -50%);
    user-select: none; }

@font-face {
  font-family: "Kanit-Regular";
  src: url("../static/fonts/Kanit-Regular.eot");
  src: url("../static/fonts/Kanit-Regular.eot?#iefix") format("embedded-opentype"), url("../static/fonts/Kanit-Regular.woff") format("woff"), url("../static/fonts/Kanit-Regular.ttf") format("truetype"), url("../static/fonts/Kanit-Regular.svg#Kanit-Regular") format("svg"); }

@font-face {
  font-family: "Kanit-Light";
  src: url("../static/fonts/Kanit-Light.eot");
  src: url("../static/fonts/Kanit-Light.eot?#iefix") format("embedded-opentype"), url("../static/fonts/Kanit-Light.woff") format("woff"), url("../static/fonts/Kanit-Light.ttf") format("truetype"), url("../static/fonts/Kanit-Light.svg#Kanit-Light") format("svg"); }

html {
  font-size: 18px; }

body {
  padding: 0;
  margin: 0;
  font-family: "Kanit-Light", Tahoma;
  background-color: #000; }

* {
  box-sizing: border-box; }

h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 0; }

a {
  text-decoration: none; }

img {
  max-width: 100%;
  max-height: 100%; }

.landing__topmenu {
  z-index: 3000;
  position: absolute;
  top: 0px;
  left: 0px;
  display: flex !important;
  width: 100%;
  justify-content: space-between;
  align-items: top; }

.landing__logo, .landing__buttons {
  margin: 20px; }

.landing__home, .landing__pathnote {
  margin: 10px;
  background-color: #000000;
  color: #ffffff !important;
  font-size: 14px;
  font-weight: bold;
  border-radius: 7px;
  padding: 10px 20px; }
  .landing__home:hover, .landing__pathnote:hover {
    background-color: #424242; }

@media screen and (max-width: 640px) {
  .landing__logo, .landing__buttons {
    margin: 10px; }
  .landing__logo {
    width: 30%;
    height: 100%;
    display: block; }
  .landing__home, .landing__pathnote {
    font-size: 12px;
    margin: 3px;
    padding: 7px 12px; } }

.landing__set {
  position: relative;
  display: block; }

.landing__setcharacter {
  height: 600px; }

.landing__effectsword {
  position: absolute;
  top: 16.9%;
  left: 35%;
  display: block;
  width: 9%;
  height: auto !important;
  animation: flicker 3s linear infinite; }

.landing__inner {
  position: absolute;
  top: 0px;
  right: 0px;
  display: flex;
  width: 50vw;
  height: 100%;
  max-height: calc(100vw / 1920 * 1080);
  justify-content: center;
  align-items: center;
  flex-direction: column; }

.landing__mbinner {
  position: absolute;
  top: 0px;
  right: 0px;
  display: flex;
  width: 100vw;
  height: 100vh;
  justify-content: center;
  align-items: center;
  flex-direction: column; }

.landing__layer {
  position: absolute;
  display: block;
  max-width: 100%;
  max-height: 100%; }
  .landing__layer--f5 {
    top: 13.5%;
    left: 4%;
    width: 53.85%; }
  .landing__layer--f4 {
    top: 2%;
    left: 0%;
    width: 100%; }
  .landing__layer--f3 {
    top: 6%;
    left: 0%;
    width: 95%; }
  .landing__layer--f2 {
    top: 0%;
    left: 0%;
    width: 100%; }
  .landing__layer--f1 {
    top: 0%;
    left: 0;
    width: 100%; }
  .landing__layer--f0 {
    top: -10%;
    left: 0%;
    width: 100%; }

.landing__l1 {
  position: absolute;
  top: 0px;
  left: 0px; }

.landing__l2 {
  position: absolute;
  top: 0px;
  left: 0px; }

.landing__l4 {
  position: absolute;
  top: 0px;
  left: 0px; }

.landing__l5 {
  position: absolute;
  top: 0px;
  left: 0px; }

.landing__l6 {
  position: absolute;
  top: 0px;
  left: 0px; }

.landing--container {
  position: relative;
  width: 100%;
  margin: 0 auto;
  height: 100%; }
  .landing--container > div,
  .landing--container > div > div {
    height: 100vh;
    height: 100%;
    width: 100%; }

.landing__title {
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0%;
  z-index: 5;
  margin: 0 auto;
  width: 100%; }
  @media only screen and (min-width: 1024px) and (max-width: 1366px) and (orientation: portrait) {
    .landing__title {
      width: 50%; } }
  @media screen and (max-width: 992px) {
    .landing__title {
      width: 50%; } }

.landing__charactor {
  position: absolute;
  right: 0;
  left: 0;
  bottom: 0; }
  .landing__charactor img {
    margin: 0 auto;
    display: block; }

.landing__layer--f0, .landing__layer--f1, .landing__layer--f2, .landing__layer--f3 {
  height: 100%; }

.bg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-image: url(http://78media.tumblr.com/9951ca2e7e884a48ca5b5269f5514cd6/tumblr_nwjrkxWOcd1tslewgo1_500.gif);
  background-repeat: no-repeat;
  background-size: 100%;
  background-position: left bottom;
  filter: blur(2px); }

@keyframes flicker {
  0%,
  19.999%,
  22%,
  62.999%,
  64%,
  64.999%,
  70%,
  100% {
    opacity: 0.99;
    text-shadow: -1px -1px 0 rgba(255, 255, 255, 0.4), 1px -1px 0 rgba(255, 255, 255, 0.4), -1px 1px 0 rgba(255, 255, 255, 0.4), 1px 1px 0 rgba(255, 255, 255, 0.4), 0 -2px 8px, 0 0 2px, 0 0 5px #ff7e00, 0 0 15px #ff4444, 0 0 2px #ff7e00, 0 2px 3px #000; }
  20%,
  21.999%,
  63%,
  63.999%,
  65%,
  69.999% {
    opacity: 0.4;
    text-shadow: none; } }

@keyframes fireup {
  0% {
    opacity: 0;
    transform: translate3d(0px, 30px, 0px); }
  75% {
    opacity: 1;
    transform: translate3d(0px, 0px, 0px); }
  100% {
    opacity: 0;
    transform: translate3d(0px, -10px, 0px); } }

.video-wrapper {
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  z-index: 1;
  width: 100vw;
  height: 100vh;
  max-width: 100vw; }

.parallax-wrapper {
  position: relative;
  z-index: 2000;
  height: 100vh;
  width: 100%;
  float: left; }

.scrolldown {
  position: absolute;
  left: 0;
  right: 0;
  bottom: 10%;
  z-index: 3000;
  text-align: center; }
  .scrolldown img {
    animation: mover 1s infinite alternate; }

@keyframes mover {
  0% {
    transform: translateY(0); }
  100% {
    transform: translateY(-5px); } }

.btn {
  display: inline-block;
  padding: 3px 10px;
  font-size: 1rem;
  text-transform: uppercase;
  border-radius: 20px;
  margin: 5px;
  cursor: pointer;
  transition: all 0.5s ease; }

.btn-white {
  background-color: #000;
  border: 1px solid #fff;
  color: #fff; }
  .btn-white:hover {
    background-color: #fff;
    color: #000; }

.clear-padding {
  padding: 0 !important; }

.pb-0 {
  padding-bottom: 0 !important; }

.text-center {
  text-align: center; }

@media (min-width: 767px) {
  .is-mobile {
    display: none; } }

@media (max-width: 767px) {
  .is-desktop {
    display: none; } }

.col-content {
  width: 40%;
  float: left;
  padding: 0 15px;
  padding-top: 7%; }

.col-image {
  width: 60%;
  float: left;
  padding: 0 15px; }

.col-parallex {
  position: relative;
  z-index: 2000;
  height: 100%;
  width: 60%;
  float: left; }

.container {
  max-width: 1300px;
  width: 100%;
  padding-right: 15px;
  padding-left: 15px;
  margin-right: auto;
  margin-left: auto; }

.clearfix:after {
  content: "";
  display: table;
  clear: both; }

section {
  padding: 80px 0;
  position: relative;
  width: 100%;
  text-align: center; }

.section1 {
  background: url("./../static/images/section1_bg.jpg") no-repeat top center;
  background-size: cover;
  overflow: hidden;
  padding-top: 100px; }
  .section1 .col-content {
    padding-top: 0; }

.section2 {
  background: url("./../static/images/section2_bg.jpg") no-repeat top center;
  background-size: cover; }

.section3 {
  background: url("./../static/images/section3_bg.jpg") no-repeat top center;
  background-size: cover; }
  .section3 .col-parallex {
    width: 35%; }
  .section3 .col-content {
    width: 30%; }

.section4 {
  background: url("./../static/images/section4_bg.jpg") no-repeat top center;
  background-size: cover; }
  .section4 .col-image {
    float: right; }
  .section4 .col-content {
    float: left; }

.section5 {
  background: url("./../static/images/section5_bg.jpg") no-repeat top center;
  background-size: cover; }

.slick-dots {
  bottom: 20px; }

.slick-dots li button:before {
  color: #fff;
  font-size: 10px; }

.slick-dots li.slick-active button:before {
  color: #fff; }

@media (max-width: 980px) {
  .landing__setcharacter {
    height: 500px; } }

@media (max-width: 767px) {
  .section1 {
    background: url("./../static/images/section1_bg_mb.png") no-repeat top center;
    background-size: cover; }
  .col-parallex {
    display: none; }
  .section1 .col-content,
  .section3 .col-content,
  .col-content {
    width: 100%;
    padding-top: 70%; }
  .col-image {
    width: 100%; }
  .section1 {
    height: 100%; }
  .scrolldown {
    bottom: 0; }
  .section3 {
    background: url("./../static/images/section3_bg_mb.jpg") no-repeat top center;
    background-size: cover; }
  .section4 {
    background: url("./../static/images/section4_bg_mb.jpg") no-repeat top center;
    background-size: cover; }
    .section4 .col-image,
    .section4 .col-content {
      float: none; }
  .section5 {
    background: url("./../static/images/section5_bg_mb.jpg") no-repeat top center;
    background-size: cover; }
    .section5 .logo_ais_mb {
      margin-top: -50px; }
  .slick-slide img {
    max-width: 100%; }
  img {
    max-width: 80%; } }
